Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class AbstractReceiverContext

    java.lang.Object
      com.servingxml.util.xml.AbstractReceiverContext

All Implemented Interfaces:
  QnameFactory, ReceiverContext

Direct Known Subclasses:
  ChildReceiverContext, RootReceiverContext

    public abstract class AbstractReceiverContext

extends java.lang.Object
implements ReceiverContext

Field Summary

Fields inherited from interface com.servingxml.util.xml.ReceiverContext
`UNDEFINED_SYMBOL`

Constructor Summary
`AbstractReceiverContext(Name elementName, org.xml.sax.Attributes attributes, Dictionary<java.lang.String,java.lang.String> prefixMap, MutableNameTable nameTable)`

Method Summary
`ReceiverContext` | `createChildContext(Name elementName, org.xml.sax.Attributes attributes, Dictionary<java.lang.String,java.lang.String> prefixMap)`
`Name` | `createName(java.lang.String qname)`
`org.xml.sax.Attributes` | `getCurrentElementAttributes()`
`Name` | `getCurrentElementName()`
`int` | `getCurrentElementSymbol()`
`MutableNameTable` | `getNameTable()`
`Dictionary<java.lang.String,java.lang.String>` | `getPrefixMap()`
`int` | `getSymbol(Name name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.util.xml.ReceiverContext
`getDatatypeFactory, getLevel, getParentElementName, getParentElementSymbol`

Constructor Detail

### AbstractReceiverContext

    public AbstractReceiverContext(Name elementName,
                                   org.xml.sax.Attributes attributes,
                                   Dictionary<java.lang.String,java.lang.String> prefixMap,
                                   MutableNameTable nameTable)

Method Detail

### getCurrentElementSymbol

    public int getCurrentElementSymbol()

  Specified by:
    `getCurrentElementSymbol` in interface `ReceiverContext`

### getCurrentElementAttributes

    public org.xml.sax.Attributes getCurrentElementAttributes()

  Specified by:
    `getCurrentElementAttributes` in interface `ReceiverContext`

### getPrefixMap

    public Dictionary<java.lang.String,java.lang.String> getPrefixMap()

  Specified by:
    `getPrefixMap` in interface `ReceiverContext`

### createName

    public Name createName(java.lang.String qname)

  Specified by:
    `createName` in interface `QnameFactory`

### getSymbol

    public int getSymbol(Name name)

  Specified by:
    `getSymbol` in interface `ReceiverContext`

### getNameTable

    public MutableNameTable getNameTable()

  Specified by:
    `getNameTable` in interface `ReceiverContext`

### getCurrentElementName

    public Name getCurrentElementName()

  Specified by:
    `getCurrentElementName` in interface `ReceiverContext`

### createChildContext

    public ReceiverContext createChildContext(Name elementName,
                                              org.xml.sax.Attributes attributes,
                                              Dictionary<java.lang.String,java.lang.String> prefixMap)

  Specified by:
    `createChildContext` in interface `ReceiverContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD